Bug 200724 - canon powershot a610 not viewed as PTP
canon powershot a610 not viewed as PTP
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gphoto2 (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-31 08:02 EDT by Andrea Dell'Amico
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-04 01:56:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrea Dell'Amico 2006-07-31 08:02:29 EDT
Description of problem:

My Canon Powershot a610 is seen by libgphoto, but the old protocol is used
instead of PTP (gphoto2 lists two available protocols for my camera)

Version-Release number of selected component (if applicable):

gphoto2-2.1.99-8

How reproducible:


Steps to Reproduce:
1. Attach the camera to the usb port
2. Try to use gthumb/f-spot to download the pictures on the camera's SD card
  
Actual results:

An error message

Expected results:

Correct import of all the pictures.

Additional info: It seems that libgphoto2 2.2.0 solves the problem.
Comment 1 Radek Vokal 2006-08-03 05:43:26 EDT
Do you use libgphoto2 2.2.0 from rawhide or do you compile it from tarball? Also
the whole error message would be helpful. 
Comment 2 Andrea Dell'Amico 2006-08-03 17:46:26 EDT
I used libgphoto2 from rawhide. I don't have a rawhide installation anymore, sorry.

With FC5 the error message from "gphoto2 -l" is:

Detected a 'Canon:PowerShot A610 (normal mode)'.

*** Error ***
Step #4 failed! (returned 0, expected 64) Camera not operational
*** Error (-102: 'Corrupted data') ***


With gphoto2 2.2.0 the camera is detected as: 'Canon:PowerShot A610 (PTP mode)'
and gphoto works correctly.
Comment 3 Radek Vokal 2006-08-04 01:56:57 EDT
Than it's fixed in rawhide, thanks for testing.

Note You need to log in before you can comment on or make changes to this bug.